Name:			openslp
Summary:		OpenSLP implementation of Service Location Protocol V2
Version:		1.2.1
Release:        alt2.2.M51.1
Group:			Networking/Other
License:		Distributable

Source0:		%name-%version.tar.gz
Source1:		%name.init
Patch0:         alt-memcpy-fix.patch

# Automatically added by buildreq on Mon Sep 13 2004
BuildRequires: flex gcc-c++ libssl-devel libstdc++-devel

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined

by RFC 2608 and RFC 2614.  This package includes the daemon, libraries,
header files and documentation.

%package daemon
Summary:		OpenSLP implementation of Service Location Protocol V2
Group:			System/Servers

%description daemon
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

This package contains the SLP server. Every system, which provide any
services which should be used via a SLP client must run this server and
register the service.

%package doc
Summary:		openslp project documentation
Group:			Books/Computer books

%description doc
The OpenSLP project is an effort to develop an open-source implementation of
Service Location Protocol suitable for commercial and non-commercial
application. This package contains openslp project documentation.

%package -n lib%name
Summary:		openslp project libraries
Group:			System/Libraries

%description -n lib%name
The OpenSLP project is an effort to develop an open-source implementation of
Service Location Protocol suitable for commercial and non-commercial
application. This package contains openslp project libraries.

%package -n lib%name-devel
Summary:		openslp project development headers
Group:			Development/C
Requires:		lib%name = %version-%release

%description -n lib%name-devel
The OpenSLP project is an effort to develop an open-source implementation of
Service Location Protocol suitable for commercial and non-commercial
application. This package contains openslp project development headers.

%prep

%setup -q -n %name-%version
%patch0 -p2

autoreconf --force --install

%build

./configure --prefix=%prefix \
	    --sysconfdir=%_sysconfdir \
	    --sharedstatedir=%_datadir \
	    --localstatedir=/var \
	    --enable-slpv1 \
	    --enable-async-api \
	    --enable-slpv2-security \
	    --libdir=%_libdir
%make_build

%install
%make_build DESTDIR=%buildroot install
mkdir -p %buildroot%_docdir

mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_sysconfdir/slp.reg.d

mv %buildroot%prefix/doc/%name-%version  %buildroot%_docdir/

install %SOURCE1 %buildroot%_initdir/slpd

ln -s ../../%_initdir/slpd %buildroot%_sbindir/rcslpd
ln -s ../../%_initdir/slpd %buildroot%_sbindir/rcopenslp

%post daemon
%post_service slpd

%preun daemon
%preun_service slpd

%files
%_bindir/*
%config(noreplace) %_sysconfdir/slp.conf
%config(noreplace) %_sysconfdir/slp.spi

%files daemon
%attr(755,root,root) %config(noreplace) %_initdir/slpd
%config(noreplace) %_sysconfdir/slp.reg
%dir %_sysconfdir/slp.reg.d/
%_sbindir/*

%files doc

%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*

%files -n lib%name

%_libdir/*.so*

%files -n lib%name-devel

%_includedir/*

%changelog
* Thu Feb 25 2010 Mikhail Efremov <sem@altlinux.org> 1.2.1-alt2.2.M51.1
- build for 5.1

* Thu Feb 25 2010 Mikhail Efremov <sem@altlinux.org> 1.2.1-alt3
- fix memcpy usage.
- minor spec cleanup
- remove obsoleted macroses call

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt2.1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Sep 22 2005 Albert R. Valiev <darkstar@altlinux.ru> 1.2.1-alt2
- Spec fixes

* Wed Aug 31 2005 Albert R. Valiev <darkstar@altlinux.ru> 1.2.1-alt1
- New version

* Mon Jun 20 2005 Albert R. Valiev <darkstar@altlinux.ru> 1.1.5-alt4
- Fixed #6753

* Sat Feb 05 2005 Albert R. Valiev <darkstar@altlinux.ru> 1.1.5-alt3
- Added --libdir=%_libdir configure option (#6031)

* Mon Sep 13 2004 Albert R. Valiev <darkstar@altlinux.ru> 1.1.5-alt2
- Added daemon init script
- Added Suse extensions and authentication patches

* Tue Dec 16 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.1.5-alt1
- Initial build
